ormolu-0.8.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Parser

Description

Parser for Haskell source code.

Synopsis

- parseModule :: MonadIO m => Config RegionDeltas -> PackageFixityMap -> FilePath -> Text -> m (DriverMessages, Either (SrcSpan, String) [SourceSnippet])
- manualExts :: [Extension]

# Documentation

parseModule Source #

Arguments

:: MonadIO m |
=> Config RegionDeltas | Ormolu configuration
-> PackageFixityMap | Package fixity map
-> FilePath | File name (only for source location annotations)
-> Text | Input for parser
-> m (DriverMessages, Either (SrcSpan, String) [SourceSnippet]) |

Parse a complete module from `Text`.

manualExts :: [Extension] Source #

Extensions that are not enabled automatically and should be activated by user.